[PATCH] APIENTRY cleanup

APIENTRY is usually defined by windows.h - this seems to be the easiest way to
deal with it as long as it's only ever a #define elsewhere and not a typedef
or something wierd like that.

diff -urN b/include/glquake.h head/include/glquake.h
--- b/include/glquake.h	2005-02-04 18:16:08.000000000 +1030
+++ head/include/glquake.h	2005-11-27 19:18:06.000000000 +1030
@@ -34,6 +34,10 @@
 #include "gl_model.h"
 #include "client.h"
 
+#ifndef APIENTRY
+#define APIENTRY
+#endif
+
 void GL_BeginRendering(int *x, int *y, int *width, int *height);
 void GL_EndRendering(void);
 
@@ -239,10 +243,6 @@
 void R_TranslatePlayerSkin(int playernum);
 void GL_Bind(int texnum);
 
-#ifndef _WIN32
-#define APIENTRY		/* */
-#endif
-
 // ARB multitexture function pointers...
 // FIXME - Find out what the APIENTRY stuff is (WIN32 obviously)
 typedef void (APIENTRY *lpMultiTexFUNC) (GLenum, GLfloat, GLfloat);
